org.apache.mina.filter.logging

## Enum LogLevel

- java.lang.Object
- - java.lang.Enum<LogLevel>
  - - org.apache.mina.filter.logging.LogLevel

- All Implemented Interfaces:
    Serializable, Comparable<LogLevel>

      public enum LogLevel
      extends Enum<LogLevel>

  Defines a logging level.
  Author:
    Apache MINA Project
  See Also:
    `LoggingFilter`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG` `LogLevel` which logs messages on the DEBUG level.
    `ERROR` `LogLevel` which logs messages on the ERROR level.
    `INFO` `LogLevel` which logs messages on the INFO level.
    `NONE` `LogLevel` which will not log any information
    `TRACE` `LogLevel` which logs messages on the TRACE level.
    `WARN` `LogLevel` which logs messages on the WARN level.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLevel()`
    `static LogLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRACE

          public static final LogLevel TRACE

      `LogLevel` which logs messages on the TRACE level.

    - #### DEBUG

          public static final LogLevel DEBUG

      `LogLevel` which logs messages on the DEBUG level.

    - #### INFO

          public static final LogLevel INFO

      `LogLevel` which logs messages on the INFO level.

    - #### WARN

          public static final LogLevel WARN

      `LogLevel` which logs messages on the WARN level.

    - #### ERROR

          public static final LogLevel ERROR

      `LogLevel` which logs messages on the ERROR level.

    - #### NONE

          public static final LogLevel NONE

      `LogLevel` which will not log any information

  - ### Method Detail

    - #### values

          public static LogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogLevel c : LogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLevel

          public int getLevel()

      Returns:
        The numeric value associated with the log level

Copyright © 2009–2013 Apache MINA Project. All rights reserved.